apiVersion: opentelemetry.io/v1alpha1
kind: OpenTelemetryCollector
metadata:
  name: otlp-collector
spec:
  image: collector-image
  mode: sidecar
  config: |
    receivers:
      otlp:
        protocols:
          grpc:

    processors:
      bsn_processor:

    exporters:
      debug:
      kafka:
        brokers:
          - ldv-kafka:9092
        protocol_version: 2.0.0
        auth:
          plain_text:
      vid_bloom_filter:
        clickhouse:
          endpoint: ldv-clickhouse:9000
          database: sigma
          user: digilab
          password: digilab

    service:
      pipelines:
        traces:
          receivers: [otlp]
          processors: [bsn_processor]
          exporters: [debug, kafka, vid_bloom_filter]
